Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Checkpoints

CheckpointsPermissions

Manage fine-tuning jobs to tailor a model to your specific training data.

Create checkpoint permissions
POST
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
Delete checkpoint permission
DELETE
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id}
List checkpoint permissions
GET
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
List checkpoint permissions
Deprecated
GET
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
Models
PermissionCreateResponse object { id, created_at, object, project_id }

The checkpoint.permission object represents a permission for a fine-tuned model checkpoint.

id: string

The permission identifier, which can be referenced in the API endpoints.

created_at: integer

The Unix timestamp (in seconds) for when the permission was created.

formatunixtime
object: "checkpoint.permission"

The object type, which is always “checkpoint.permission”.

project_id: string

The project identifier that the permission is for.

PermissionDeleteResponse object { id, deleted, object }
id: string

The ID of the fine-tuned model checkpoint permission that was deleted.

deleted: boolean

Whether the fine-tuned model checkpoint permission was successfully deleted.

object: "checkpoint.permission"

The object type, which is always “checkpoint.permission”.

PermissionListResponse object { id, created_at, object, project_id }

The checkpoint.permission object represents a permission for a fine-tuned model checkpoint.

id: string

The permission identifier, which can be referenced in the API endpoints.

created_at: integer

The Unix timestamp (in seconds) for when the permission was created.

formatunixtime
object: "checkpoint.permission"

The object type, which is always “checkpoint.permission”.

project_id: string

The project identifier that the permission is for.

PermissionRetrieveResponse object { data, has_more, object, 2 more }
data: array of object { id, created_at, object, project_id }
id: string

The permission identifier, which can be referenced in the API endpoints.

created_at: integer

The Unix timestamp (in seconds) for when the permission was created.

formatunixtime
object: "checkpoint.permission"

The object type, which is always “checkpoint.permission”.

project_id: string

The project identifier that the permission is for.

has_more: boolean
object: "list"
first_id: optional string or null
last_id: optional string or null